
Name:       perl-Sub-Install
Version:    0.928
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    install subroutines into packages easily
Source:     http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Sub-Install-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Sub-Install
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
Requires: perl(B)
Requires: perl(Carp)
Requires: perl(ExtUtils::MakeMaker)
Requires: perl(Scalar::Util)
Requires: perl(strict)
Requires: perl(warnings)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)


%description
This module makes it easy to install subroutines into packages without the
unsightly mess of 'no strict' or typeglobs lying about where just anyone
can see them.

Rebuilt for the Anvil! HA platform.





%prep
%setup -q -n Sub-Install-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Dec 28 2014 %{packager} 0.928-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
